#!/bin/sh
#
# profile.d script for bash-like shells
# defaults sudo -s to spawn sudosh rather than default shell

# if you have shell_noargs enabled for sudo
# set SHELL_NOARGS to 1 below
SHELL_NOARGS=0

SUDO=$( which sudo )

function sudo() {
    local -a ARGS
    local arg
    [ "$#" -lt 1 -a "$SHELL_NOARGS" -eq 1 ] && ARGS="$ARGS sudosh"
    while (($#)); do
        if [[ $1 == -s ]]; then
            ARGS=("${ARGS[@]}" sudosh)
        else
            ARGS=("${ARGS[@]}" "$1")
        fi
        shift
    done
    $SUDO "${ARGS[@]}"
}
